import forEach from "../forEach/forEach";
async function filterObject(object, predicate) {
    const keys = Object(object).keys(object);
    const result = [];
    await forEach(keys, async (key) => {
        const value = object[key];
        if (await predicate(value, key, object)) {
            result.push(value);
        }
    });
    return result;
}
export default filterObject;
//# sourceMappingURL=filterObject.js.map