import isFunction from "../isFunction/isFunction";
import isObject from "../isObject/isObject";
import isString from "../isString/isString";
function getFindPredicate(predicate) {
    switch (true) {
        case isFunction(predicate):
            return predicate;
        case isObject(predicate):
            return (item) => {
                let index = -1;
                const keys = Object.keys(predicate);
                const length = keys.length;
                while (++index < length) {
                    const key = keys[index];
                    if (!item[key] || item[key] !== predicate[key]) {
                        return false;
                    }
                }
                return true;
            };
        case isString(predicate):
            return (item) => {
                if (item[predicate] === true) {
                    return true;
                }
                return false;
            };
        default:
            return predicate;
    }
}
export default getFindPredicate;
//# sourceMappingURL=getFilterPredicate.js.map