import map from "../map/map";
import find from "../find/find";
import filter from "../filter/filter";
import reject from "../reject/reject";
import castArray from "../castArray/castArray";
class ChainWrapper {
    constructor(value) {
        this.map = (func) => {
            this._chainedPromises.push({
                operation: map,
                func
            });
            return this;
        };
        this.find = (func) => {
            this._chainedPromises.push({
                operation: find,
                func
            });
            return this;
        };
        this.reject = (func) => {
            this._chainedPromises.push({
                operation: reject,
                func
            });
            return this;
        };
        this.filter = (func) => {
            this._chainedPromises.push({
                operation: filter,
                func
            });
            return this;
        };
        this.castArray = () => {
            this._chainedPromises.push({
                operation: castArray
            });
            return this;
        };
        this.value = async () => {
            let index = -1;
            const length = this._chainedPromises.length;
            while (++index < length) {
                const chainedPromises = this._chainedPromises[index];
                this._value = await chainedPromises.operation(this._value, chainedPromises.func);
            }
            return this._value;
        };
        this._value = value;
        this._chainedPromises = [];
    }
}
function chain(value) {
    return new ChainWrapper(value);
}
export default chain;
//# sourceMappingURL=chain.js.map