import filterObject from "../_helpers/filterObject";
import getFindPredicate from "../_helpers/getFilterPredicate";
async function doFilter(collection, predicate) {
    let index = -1;
    let resIndex = 0;
    const length = collection.length;
    const result = [];
    while (++index < length) {
        const value = collection[index];
        if (await predicate(value, index, collection)) {
            result[resIndex++] = value;
        }
    }
    return result;
}
function filter(collection, predicate) {
    const predicateFunc = getFindPredicate(predicate);
    const func = Array.isArray(collection) ? doFilter : filterObject;
    return func(collection, predicateFunc);
}
export default filter;
//# sourceMappingURL=filter.js.map