import filter from "../filter/filter";
import getFindPredicate from "../_helpers/getFilterPredicate";
import filterObject from "../_helpers/filterObject";
function negate(predicate) {
    return async (func) => {
        return !await predicate(func);
    };
}
function reject(collection, predicate) {
    const predicateFunc = getFindPredicate(predicate);
    const func = Array.isArray(collection) ? filter : filterObject;
    return func(collection, negate(predicateFunc));
}
export default reject;
//# sourceMappingURL=reject.js.map